%global gem_name byebug

Summary: Ruby fast debugger - base + CLI
Name: rubygem-%{gem_name}
Version: 11.0.1
Release: 1%{?dist}
Group: Development/Languages
License: BSD-2-Clause
URL: https://github.com/deivid-rodriguez/byebug
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: ruby >= 2.3.0
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
Byebug is a Ruby debugger. It's implemented using the
TracePoint C API for execution control and the Debug Inspector C API for
call stack navigation.  The core component provides support that front-ends
can build on. It provides breakpoint handling and bindings for stack frames
among other things and it comes with an easy to use command line interface.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%{gem_spec}
%{_bindir}/byebug
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/GUIDE.md

%changelog
* Mon Jul 22 2019 Satoe Imaishi <simaishi@redhat.com> - 11.0.1-1
- Update to 11.0.1

* Tue Mar 05 2019 Satoe Imaishi <simaishi@redhat.com> - 11.0.0-1
- Initial Build
